using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace Example_3_3
{
  public partial class frmCustomers : Form
  {
    public frmCustomers()
    {
      InitializeComponent();
    }
    OleDbConnection NWindConnection;
    OleDbCommand customersCommand;
    OleDbDataAdapter customersAdapter;
    DataTable customersTable;
    CurrencyManager customersManager;
    
    private void frmCustomers_Load(object sender, EventArgs e)
    {
      // connect to NWind database
      NWindConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\\VCS2005DB\\Working\\NWind.mdb");
      //open the connection
      NWindConnection.Open();
      // establish command object
      customersCommand = new OleDbCommand("SELECT * FROM Customers", NWindConnection);
      // establish data adapter/data table
      customersAdapter = new OleDbDataAdapter();
      customersAdapter.SelectCommand = customersCommand;
      customersTable = new DataTable();
      customersAdapter.Fill(customersTable);
      // bind controls to data table
      txtCustomerID.DataBindings.Add("Text", customersTable, "CustomerID");
      txtCompanyName.DataBindings.Add("Text", customersTable, "CompanyName");
      txtContactName.DataBindings.Add("Text", customersTable, "ContactName");
      txtContactTitle.DataBindings.Add("Text",customersTable, "ContactTitle");
      // establish currency manager
      customersManager = (CurrencyManager) BindingContext[customersTable];
      //close the connection
      NWindConnection.Close();
      //dispose of the connection object
      NWindConnection.Dispose();
      customersCommand.Dispose();
      customersAdapter.Dispose();
      customersTable.Dispose();
    }

    private void btnFirst_Click(object sender, EventArgs e)
    {
      customersManager.Position = 0;
    }

    private void btnPrevious_Click(object sender, EventArgs e)
    {
      customersManager.Position--;
    }

    private void btnNext_Click(object sender, EventArgs e)
    {
      customersManager.Position++;
    }

    private void btnLast_Click(object sender, EventArgs e)
    {
      customersManager.Position = customersManager.Count - 1;
    }

  }
}